Subject: Re: bug#20296: 11.88.3; LaTeX-fill-paragraph gives unexpected result

From: Arash Esbati <[email-masked]>
Date: Sun, 03 Mar 2024 15:27:19 +0100

Tassilo Horn <[email-masked]> writes:

> jfbu <[email-masked]> writes:
>
>>> I can reproduce that here but I have no clue why that line breaks
>>> indentation.  But at least the problem isn't there in the development
>>> version.  I'll try to make a new ELPA release ASAP.  Please report back
>>> if that fixes things.
>>
>> good news that it is already fixed in the development version !
>>
>> thus my custom setup for LaTeX-verbatim-macros-with-delims shouldn't
>> have theoretically by itself caused the trouble ?
>
> David has a point there.  I'll have to look how the regexp is used in
> the filling code.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Eval'ing (regexp-opt nil t) says "\\(\\`a\\`\\)" for me with Emacs 30.
Trying the recipe provided with `LaTeX-verbatim-macros-with-delims' set
to nil and it works as expected.

Therefore I'm closing this report.

Best, Arash